/* Copyright 2009 Palm, Inc.  All rights reserved. */

var GsmPlatformUtil = Class.create ({
	
	isApnNeeded: function () {
		if (Account.platformType.toLowerCase() == 'gsm') {
			if ((RoamUtil.networkState === "service") && (RoamUtil.dataType !== "none" || RoamUtil.dataType !== "unknown")) {
				// It is possible that APN settings are incorrect
				return true;
			}
		}
		return false;	 
	},
	
	showApnIntro: function (params) {
		Mojo.Controller.stageController.pushScene("apn-intro", params);
	},
	
	processApnParams: function (params) {
		if(params.method) {
			params.method();
		}
	}
});

var GsmUtil = new GsmPlatformUtil();